/***************************************************************************
 *            findfiles.h
 *
 *  *  Copyright  2007  Álvaro Morais
 *  <alvarommorais@gmail.com>
 ****************************************************************************/

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#ifndef _FINDFILES_H
#define _FINDFILES_H

#include <string>
#include <iostream>

#include <dirent.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <limits.h>

using namespace std;

class FindFiles {
private:
	string path;
	bool recursive;
	
	void RealStart(string _path);
public:
	FindFiles(string _path, bool _recursive);
	void Start();
	static string IncludeTrailingBackslash(string _path);
	static string ExcludeTrailingBackslash(string _path);
	
	
	
};
#endif /* _FINDFILES_H */

 
